> ## Documentation Index
> Fetch the complete documentation index at: https://docs.drivly.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# custom operation

> custom operation

<Accordion title="Usage with the Drivly SDK" icon="code-simple">
  <Note>
    <span class="font-medium">Make sure you install our SDK first. You can find out how, and more [here](/commerce/sdk).</span>
  </Note>

  ```typescript theme={null}
  import { SDK } from '@drivly/commerce'
  import type { creditApplications } from '@drivly/commerce'

  const sdk = new SDK(...)

  const creditApplications = await sdk.creditApplications.create(data: creditApplications): Promise<creditApplications>
  ```
</Accordion>


## OpenAPI

````yaml post /creditApplications/from-preapproval
openapi: 3.0.3
info:
  title: Drivly Commerce API
  version: 1.0.0
  description: API for the Driv.ly experience
  contact:
    name: Drivly
    url: https://driv.ly
    email: support@driv.ly
  license:
    name: MIT
    url: https://opensource.org/licenses/MIT
servers:
  - url: https://commerce.driv.ly/api
security: []
paths:
  /creditApplications/from-preapproval:
    post:
      tags:
        - creditApplications
      summary: custom operation
      description: custom operation
      parameters: []
      responses:
        '200':
          description: succesful operation
          content:
            application/json:
              schema:
                type: object

````